| Home | Libraries | People | FAQ | More

### Synthesizing Types with Specific Alignments

Some low level memory management routines need to synthesize a POD type with specific alignment properties. The template `type_with_alignment` finds the smallest type with a specified alignment, while template `aligned_storage` creates a type with a specific size and alignment.

Synopsis

    template <std::size_t Align>
    struct type_with_alignment;

    template <std::size_t Size, std::size_t Align>
    struct aligned_storage;